# -*- coding: utf-8 -*-
# Generated by Django 1.9.6 on 2017-09-05 06:08
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_szuprefix.utils.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('saas', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Clazz',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=64, verbose_name='\u540d\u79f0')),
                ('number', models.CharField(db_index=True, max_length=16, verbose_name='\u7f16\u53f7')),
                ('student_names', django_szuprefix.utils.modelutils.WordSetField(blank=True, help_text='\u5b66\u751f\u59d3\u540d\uff0c\u4e00\u884c\u4e00\u4e2a', null=True, verbose_name='\u5b66\u751f\u540d\u518c')),
                ('teacher_names', django_szuprefix.utils.modelutils.KeyValueJsonField(blank=True, help_text="\u8001\u5e08\u804c\u8d23\u4e0e\u8001\u5e08\u59d3\u540d\u7528':'\u9694\u5f00\uff0c\u4e00\u884c\u4e00\u4e2a, \u5982:<br/>\n                                                 \u73ed\u4e3b\u4efb:\u4e01\u4e00\u6210<br/>\n                                                 \u8bed\u6587:\u4e01\u4e00\u6210<br/>\n                                                 \u6570\u5b66:\u6797\u5a1f", null=True, verbose_name='\u8001\u5e08\u540d\u518c')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
            ],
            options={
                'ordering': ('school', 'grade', 'number'),
                'verbose_name': '\u73ed\u7ea7',
                'verbose_name_plural': '\u73ed\u7ea7',
            },
        ),
        migrations.CreateModel(
            name='Grade',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.PositiveSmallIntegerField(default=1, verbose_name='\u7f16\u53f7')),
                ('name', models.CharField(db_index=True, max_length=64, verbose_name='\u540d\u79f0')),
                ('clazz_count', models.PositiveSmallIntegerField(default=3, verbose_name='\u73ed\u6570')),
            ],
            options={
                'ordering': ('school', 'number'),
                'verbose_name': '\u5e74\u7ea7',
                'verbose_name_plural': '\u5e74\u7ea7',
            },
        ),
        migrations.CreateModel(
            name='School',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='\u540d\u79f0')),
                ('type', models.PositiveSmallIntegerField(choices=[(0, '\u5e7c\u513f\u56ed'), (1, '\u5c0f\u5b66'), (2, '\u4e2d\u5b66'), (3, '\u5927\u5b66'), (4, '\u804c\u6821')], default=1, verbose_name='\u7c7b\u522b')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('party', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='as_school', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'verbose_name': '\u5b66\u6821',
                'verbose_name_plural': '\u5b66\u6821',
            },
        ),
        migrations.CreateModel(
            name='Session',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=64, verbose_name='\u540d\u79f0')),
                ('number', models.CharField(db_index=True, max_length=16, verbose_name='\u7f16\u53f7')),
                ('begin_date', models.DateField(verbose_name='\u5f00\u59cb\u65e5\u671f')),
                ('end_date', models.DateField(verbose_name='\u7ed3\u675f\u65e5\u671f')),
                ('school', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='sessions', to='school.School', verbose_name='\u5b66\u6821')),
            ],
            options={
                'ordering': ('school', 'number'),
                'verbose_name': '\u5c4a\u522b',
                'verbose_name_plural': '\u5c4a\u522b',
            },
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(blank=True, db_index=True, max_length=32, null=True, verbose_name='\u5b66\u53f7')),
                ('name', models.CharField(db_index=True, max_length=32, verbose_name='\u59d3\u540d')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('clazz', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='students', to='school.Clazz', verbose_name='\u73ed\u7ea7')),
                ('entrance_session', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='entrance_students', to='school.Session', verbose_name='\u5165\u5b66\u5c4a\u522b')),
                ('grade', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='students', to='school.Grade', verbose_name='\u5e74\u7ea7')),
                ('graduate_session', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='graduate_students', to='school.Session', verbose_name='\u6bd5\u4e1a\u5c4a\u522b')),
                ('school', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='students', to='school.School', verbose_name='\u5b66\u6821')),
                ('user', models.OneToOneField(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='as_school_student', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': '\u5b66\u751f',
                'verbose_name_plural': '\u5b66\u751f',
            },
        ),
        migrations.CreateModel(
            name='Teacher',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=32, null=True, verbose_name='\u59d3\u540d')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('school', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='teachers', to='school.School', verbose_name='\u5b66\u6821')),
                ('user', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='as_school_teacher', to=settings.AUTH_USER_MODEL, verbose_name='\u7f51\u7ad9\u7528\u6237')),
            ],
            options={
                'verbose_name': '\u8001\u5e08',
                'verbose_name_plural': '\u8001\u5e08',
            },
        ),
        migrations.AddField(
            model_name='grade',
            name='school',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='grades', to='school.School', verbose_name='\u5b66\u6821'),
        ),
        migrations.AddField(
            model_name='clazz',
            name='entrance_session',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='entrance_clazzs', to='school.Session', verbose_name='\u5165\u5b66\u5c4a\u522b'),
        ),
        migrations.AddField(
            model_name='clazz',
            name='grade',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='clazzs', to='school.Grade', verbose_name='\u5e74\u7ea7'),
        ),
        migrations.AddField(
            model_name='clazz',
            name='graduate_session',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='graduate_clazzs', to='school.Session', verbose_name='\u6bd5\u4e1a\u5c4a\u522b'),
        ),
        migrations.AddField(
            model_name='clazz',
            name='primary_teacher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='clazzs', to='school.Teacher', verbose_name='\u73ed\u4e3b\u4efb'),
        ),
        migrations.AddField(
            model_name='clazz',
            name='school',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='clazzs', to='school.School', verbose_name='\u5b66\u6821'),
        ),
        migrations.AlterUniqueTogether(
            name='session',
            unique_together=set([('school', 'number')]),
        ),
        migrations.AlterUniqueTogether(
            name='grade',
            unique_together=set([('school', 'number')]),
        ),
        migrations.AlterUniqueTogether(
            name='clazz',
            unique_together=set([('school', 'number')]),
        ),
    ]
