# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2019-03-22 02:54
from __future__ import unicode_literals

from django.db import migrations, models

def init_model_code(model):
    from django_szuprefix.utils.datautils import auto_code
    for m in model.objects.select_for_update().all():
        m.code = auto_code(m.name)
        m.save()


def init_code(apps, schema_editor):
    for m in ('School', 'Student', 'Teacher', 'Clazz', 'College', 'Major'):
        init_model_code(apps.get_model('school', m))


class Migration(migrations.Migration):
    dependencies = [
        ('school', '0021_auto_20190313_0229'),
    ]

    operations = [
        migrations.AddField(
            model_name='school',
            name='code',
            field=models.CharField(blank=True, db_index=True, default='', max_length=64,
                                   verbose_name='\u62fc\u97f3\u7f29\u5199'),
        ),
        migrations.AddField(
            model_name='student',
            name='code',
            field=models.CharField(blank=True, db_index=True, default='', max_length=64,
                                   verbose_name='\u62fc\u97f3\u7f29\u5199'),
        ),
        migrations.AddField(
            model_name='teacher',
            name='code',
            field=models.CharField(blank=True, db_index=True, default='', max_length=64,
                                   verbose_name='\u62fc\u97f3\u7f29\u5199'),
        ),
        migrations.AlterField(
            model_name='clazz',
            name='code',
            field=models.CharField(blank=True, db_index=True, default='', max_length=64,
                                   verbose_name='\u62fc\u97f3\u7f29\u5199'),
        ),
        migrations.AlterField(
            model_name='college',
            name='code',
            field=models.CharField(blank=True, db_index=True, default='', max_length=64,
                                   verbose_name='\u62fc\u97f3\u7f29\u5199'),
        ),
        migrations.AlterField(
            model_name='major',
            name='code',
            field=models.CharField(blank=True, db_index=True, default='', max_length=64,
                                   verbose_name='\u62fc\u97f3\u7f29\u5199'),
        ),
        migrations.AlterField(
            model_name='teacher',
            name='name',
            field=models.CharField(blank=True, db_index=True, max_length=32, null=True, verbose_name='\u59d3\u540d'),
        ),
        migrations.RunPython(init_code)
    ]
